## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

Name:       nushell
Version:    0.102.0
Release:    %autorelease
Summary:    A new type of shell

License:    MIT
URL:        https://github.com/nushell/nushell
Source:     %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: cargo
BuildRequires: rust
BuildRequires: gcc
BuildRequires: git-core
BuildRequires: python3-devel

BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(zlib)

%description
Nu draws inspiration from projects like PowerShell, functional programming
languages, and modern CLI tools. Rather than thinking of files and data as
raw streams of text, Nu looks at each input as something with structure. For
example, when you list the contents of a directory what you get back is a table
of rows, where each row represents an item in that directory. These values can
be piped through a series of steps, in a series of commands called a 'pipeline'.

%prep
%autosetup
cat >>Cargo.toml <<HERE

[profile.copr]
inherits = "release"
opt-level = 3
strip = true
lto = true
codegen-units = 1
HERE

%if 0%{?el8} || 0%{?el9}
  curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif

%install
%if 0%{?el8} || 0%{?el9}
source "$HOME/.cargo/env"
%endif

cargo install --profile copr --locked --root=%{buildroot}%{_prefix} --path=.

rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*


%files
%license LICENSE
%doc README.md
%{_bindir}/nu

%changelog
## START: Generated by rpmautospec
* Wed Feb 05 2025 Taylor C. Richberger <taylor@axfive.net> - 0.102.0-1
- bump to version 0.102.0

* Sun Jan 05 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-12
- revert description to the previous one

* Sun Jan 05 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-11
- fix RHEL with rustup

* Sun Jan 05 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-10
- improve profile determination and unnecessary rustup stuff

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-9
- fix changelog

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-8
- change description

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-7
- Bump for autorelease

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-6
- test autorelease to see if it creates a third revision

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-5
- test autorelease, to see if it creates a second revision

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-4
- switch to autorelease and autochangelog

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-3
- remove version requirements on rust toolchain

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-2
- build new revision of nushell

* Sat Jan 04 2025 Taylor C. Richberger <taylor@axfive.net> - 0.101.0-1
- make repo nushell-only
## END: Generated by rpmautospec
